#!/bin/bash
echo "begin update..."
#copy the app
cp -a /home/pi/qNenionLeakvalve/update/nlvFLUAS103 /home/pi/nlvFLUAS103

#clear help
rm -r /home/pi/qNenionLeakvalve/help/*

#copy help
cp -ar /home/pi/qNenionLeakvalve/update/help /home/pi/qNenionLeakvalve

#copy and install lib
sudo cp /home/pi/qNenionLeakvalve/update/libxlsxwriter.so /usr/lib
sudo cp libz.so* /lib/arm-linux-gnueabihf
sudo ldconfig


#clear autostart
sudo rm /home/pi/.config/autostart/nlvFLUAS.desktop
sudo rm /home/pi/.config/autostart/nlvFLUASupdate.desktop

#clear old app
rm /home/pi/qNenionLeakvalve/nlvFLUAS101

#copy autostart
sudo cp /home/pi/qNenionLeakvalve/update/nlvFLUAS.desktop /home/pi/.config/autostart/nlvFLUAS.desktop

#check if hostname is resolvable
sudo bash /home/pi/qNenionLeakvalve/update/testHosts.sh

#copy splash screen
cp -a /home/pi/qNenionLeakvalve/update/splash.png /home/pi/qNenionLeakvalve/icon/splash.png

#copy screensaver update
cp -ar /home/pi/qNenionLeakvalve/update/fluas-fotos /home/pi
sudo cp -a /home/pi/qNenionLeakvalve/update/.xscreensaver /home/pi

#copy touchscreen simulate game
cp -a /home/pi/qNenionLeakvalve/update/simulate.py /home/pi/python_games

#copy script to change samba password
mkdir /home/pi/qNenionLeakvalve/shell-scripts
cp  /home/pi/qNenionLeakvalve/update/set_smb_pwd.sh /home/pi/qNenionLeakvalve/shell-scripts
cp /home/pi/qNenionLeakvalve/update/clear_update_folder.sh /home/pi/qNenionLeakvalve/shell-scripts
sudo chown -R pi:pi /home/pi/qNenionLeakvalve/shell-scripts

#copy language files:
cp -a /home/pi/qNenionLeakvalve/update/*.ts /home/pi/qNenionLeakvalve/languages

#clear update
rm -R /home/pi/qNenionLeakvalve/update/*
rm -R /home/pi/qNenionLeakvalve/update/.*

#run new app
/home/pi/nlvFLUAS103

echo "updated." 
return 1
